Bug 234318 - comms/libsdr: fix build with GCC-based architectures
Summary: comms/libsdr: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-23 22:07 UTC by Piotr Kubaj
Modified: 2018-12-30 12:37 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (jeff)


Attachments
patch (339 bytes, patch)
2018-12-23 22:07 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-12-23 22:07:21 UTC
Created attachment 200416 [details]
patch

This port requires USES=compiler:c++11-lang to build on GCC architectures.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 commit-hook freebsd_committer 2018-12-27 00:02:54 UTC
A commit references this bug:

Author: swills
Date: Thu Dec 27 00:02:36 UTC 2018
New revision: 488493
URL: https://svnweb.freebsd.org/changeset/ports/488493

Log:
  graphics/py-pyproj: Fix python 3.6 flavor

  PR:		234318
  Submitted by:	Rainer Hurling <rhurlin@gwdg.de>
  Approved by:	maintainer timeout (fmysh@iijmio-mail.jp, >2 weeks)

Changes:
  head/graphics/py-pyproj/Makefile
Comment 2 Steve Wills freebsd_committer 2018-12-27 00:17:22 UTC
(In reply to commit-hook from comment #1)
Sorry, wrong PR number was used there. Please ignore.
Comment 3 commit-hook freebsd_committer 2018-12-30 12:37:07 UTC
A commit references this bug:

Author: linimon
Date: Sun Dec 30 12:37:02 UTC 2018
New revision: 488710
URL: https://svnweb.freebsd.org/changeset/ports/488710

Log:
  This port requires USES=compiler:c++11-lang to build on GCC-based
  architectures.

  PR:		234318
  Submitted by:	Piotr Kubaj
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/comms/libsdr/Makefile